Bug 1577652 - Incorporate policy.json in order to bypass Octavia API RBAC
Summary: Incorporate policy.json in order to bypass Octavia API RBAC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-octavia
Version: trunk
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: trunk
Assignee: Nir Magnezi
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1577635
TreeView+ depends on / blocked
 
Reported: 2018-05-13 18:29 UTC by Nir Magnezi
Modified: 2019-09-10 14:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 10:25:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1770956 0 None None None 2018-05-13 18:29:38 UTC
RDO 13767 0 None None None 2018-05-14 09:06:48 UTC
RDO 568089 0 None None None 2018-05-13 18:30:17 UTC

Description Nir Magnezi 2018-05-13 18:29:38 UTC
Description of problem:
=======================
We are going to take a different path with the solution to the issue decribed in bug 1508904.

For OSP13, instead of creating keystone roles we are going to incorporate a policy.json file. This is on-par with other OSP13 components such as Cinder and Nova.

More details at bug 1577635

Comment 1 Nir Magnezi 2018-05-14 08:47:01 UTC
The fix got merged to RDO.


Note You need to log in before you can comment on or make changes to this bug.